<template>
  <div class="order q-mt-md q-mb-sm">
    <div class="user">
      <div class="avatar">
        <img src="../../statics/order-avatar.png" alt="Avatar">
      </div>
      <h6 class="name">{{ order.user }}</h6>
    </div>
    <div class="info">
      <p class="order-title">{{ order.title }}</p>
      <p :class="orderInfoCLass">{{ order.price }} &#8381; до {{ order.date }}</p>
      <p class="order-comment">{{ order.comment }}</p>
    </div>
    <div class="chat">
      <img v-if="order.chat.length >= 1" class="notify" src="../../statics/chat-notify-active.svg" alt="Chat">
      <img v-else class="notify" src="../../statics/chat-notify.svg" alt="Chat">
      <p class="order-chat">{{ order.chat.length }} новых сообщений</p>
    </div>
    <div :class="statusClass">{{ order.status }}</div>
  </div>
</template>

<script>
export default {
  name: 'Order',
  props: ['order'],
  computed: {
    statusClass () {
      return [
        'status',
        { 'status-new': this.order.status === 'Новый заказ' },
        { 'status-pending': this.order.status === 'Ожидает оплаты' },
        { 'status-progress': this.order.status === 'В работе' },
        { 'status-ready': this.order.status === 'Готово' }
      ]
    },
    orderInfoCLass () {
      return [
        'order-info',
        { 'order-active': this.order.status === 'Новый заказ' }
      ]
    }
  }
}
</script>

<style lang="sass" scoped>
h6
  margin: 0
p
  margin: 0
.order
  position: relative
  background: #F8F8F8
  width: 880px
  min-height: 210px
  padding: 16px
.user
  display: flex
  flex-direction: row
  align-items: center
  height: 32px
.name
  margin-left: 12px
.info
  margin-top: 16px
.order-title
  font-style: normal
  font-weight: 600
  font-size: 14px
  line-height: 17px
.order-info
  margin: 4px 0 8px 0
  font-style: normal
  font-weight: bold
  font-size: 14px
  line-height: 17px
.order-comment
  font-style: normal
  font-weight: 300
  font-size: 14px
  line-height: 17px
.order-active
  color: #E10E5A
.notify
  height: 24px
.chat
  display: flex
  align-items: center
  height: 24px
  margin-top: 16px
.order-chat
  margin-left: 12px
  height: 100%
  font-style: normal
  font-weight: bold
  font-size: 14px
  line-height: 17px
.status
  position: absolute
  right: -24px
  top: 8px
  z-index: 10
  height: 40px
  padding: 12px 16px
  font-style: normal
  font-weight: bold
  font-size: 14px
  line-height: 17px
  color: #ffffff
  &-new
    background: linear-gradient(278.3deg, #D01173 8.64%, #E10E5A 100%)
  &-pending
    background: linear-gradient(280.12deg, #FF5C00 8.64%, #FFC700 100%)
  &-progress
    background: linear-gradient(276.38deg, #8720D9 8.64%, #B3179B 100%)
  &-ready
    background-color: #1D1C1C
</style>
